Pular para o conteúdo principal
GET
/
v1
/
organizations
/
{organization_id}
/
tenants
/
{tenant_id}
Recuperar um tenant
curl --request GET \
  --url https://api.flexxible.net/v1/organizations/{organization_id}/tenants/{tenant_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.flexxible.net/v1/organizations/{organization_id}/tenants/{tenant_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.flexxible.net/v1/organizations/{organization_id}/tenants/{tenant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "organization_id": "<string>",
  "create_date": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "region": "<string>",
  "product_id": "<string>",
  "policy_id": "<string>"
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

organization_id
string
obrigatório

O identificador único da organização

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
tenant_id
string
obrigatório

O identificador único do tenant

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Resposta

Detalhes do tenant recuperados corretamente. A resposta inclui informações completas do tenant, incluindo as atribuições de produto e política.

id
string
obrigatório
organization_id
string
obrigatório

ID da organização do tenant

create_date
string<date-time>
obrigatório
name
string
obrigatório
region
string
obrigatório
product_id
string | null

ID do produto (nullable)

policy_id
string | null

ID da política (nullable)